Bug 1289316 - [GSS](6.4.z) CLI does not resolve multiple properties if one property is undefined
[GSS](6.4.z) CLI does not resolve multiple properties if one property is unde...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI (Show other bugs)
6.4.5
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.12
Assigned To: Chao Wang
Petr Kremensky
eap6412-proposed
:
Depends On: 1237275
Blocks: eap6412-payload
  Show dependency treegraph
 
Reported: 2015-12-07 15:50 EST by Aaron Ogburn
Modified: 2017-01-17 08:10 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 08:10:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFCORE-1198 Major Resolved CLI does not resolve multiple properties if one property is undefined 2017-01-23 19:18 EST

  None (edit)
Description Aaron Ogburn 2015-12-07 15:50:54 EST
Multiple property substitution is working with EAP 6.4.3+, however, if a variable amongst the multiple variables is empty or has no value, then the subsequent property in the CLI command is not substituted. 

For example : 
cat props.properties 
-----------------------------------------
PROFILE-NAME=TestProfile
SERVER-INSTANCE-NUMBER=TestInstance
APP-VERSION=
VAR=test
-----------------------------------------

cat test.cli :
---------------------------------------
/host=master/server-config=${PROFILE-NAME}${APP-VERSION}${SERVER-INSTANCE-NUMBER}${VAR}:add(auto-start=true, group="${PROFILE-NAME}${APP-VERSION}-server-group")
---------------------------------------

and if I execute "./jboss-cli.sh --connect --file=test.cli --properties=props.properties" then I have the following in the host.xml ": 

----------
...
<server name="TestProfile${SERVER-INSTANCE-NUMBER}test" group="TestProfile-server-group" auto-start="true"/>
...
-----------

Note APP-VERSION had no value, and so the subsequent SERVER-INSTANCE-NUMBER was not properly resolved
Comment 2 Chao Wang 2015-12-09 04:43:45 EST
I have created upstream WFCORE-1198 to throw an UnresolvedExpressionException with informative message in such case, just to avoid to write unresolved value into configuration file in such case.
Comment 4 Mike McCune 2016-03-28 18:24:40 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 6 Ivo Hradek 2016-11-22 03:59:48 EST
Verified with EAP 6.4.12.CP.CR1;
--
Note: In order to get it work as expected, "resolve-parameter-values" in jboss-cli.xml must be set to true.
Comment 7 Petr Penicka 2017-01-17 08:10:50 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Note You need to log in before you can comment on or make changes to this bug.